AI Writers
=========

This section documents the AI writer modules that provide specialized content generation for different platforms.

LinkedIn Writer
-------------

.. automodule:: lib.ai_writers.linkedin_writer
   :members:
   :undoc-members:
   :show-inheritance:

LinkedIn Post Generator
~~~~~~~~~~~~~~~~~~~~~

.. automodule:: lib.ai_writers.linkedin_writer.modules.post_generator
   :members:
   :undoc-members:
   :show-inheritance:

LinkedIn Article Generator
~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: lib.ai_writers.linkedin_writer.modules.article_generator
   :members:
   :undoc-members:
   :show-inheritance:

LinkedIn Profile Optimizer
~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: lib.ai_writers.linkedin_writer.modules.profile_optimizer
   :members:
   :undoc-members:
   :show-inheritance:

Twitter Writer
------------

.. automodule:: lib.ai_writers.twitter_writers
   :members:
   :undoc-members:
   :show-inheritance:

Tweet Generator
~~~~~~~~~~~~~

.. automodule:: lib.ai_writers.twitter_writers.tweet_generator
   :members:
   :undoc-members:
   :show-inheritance:

Facebook Writer
-------------

.. automodule:: lib.ai_writers.ai_facebook_writer
   :members:
   :undoc-members:
   :show-inheritance:

Facebook Ad Copy Generator
~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: lib.ai_writers.ai_facebook_writer.modules.ad_copy_generator
   :members:
   :undoc-members:
   :show-inheritance:

Facebook Carousel Generator
~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: lib.ai_writers.ai_facebook_writer.modules.facebook_carousel
   :members:
   :undoc-members:
   :show-inheritance:

YouTube Writers
-------------

.. automodule:: lib.ai_writers.youtube_writers
   :members:
   :undoc-members:
   :show-inheritance:

Story Writer
----------

.. automodule:: lib.ai_writers.ai_story_writer
   :members:
   :undoc-members:
   :show-inheritance:

Copywriter
---------

.. automodule:: lib.ai_writers.ai_copywriter
   :members:
   :undoc-members:
   :show-inheritance:

Blog Writers
----------

GitHub Blogs
~~~~~~~~~~~

.. automodule:: lib.ai_writers.github_blogs
   :members:
   :undoc-members:
   :show-inheritance:

Scholar Blogs
~~~~~~~~~~~

.. automodule:: lib.ai_writers.scholar_blogs
   :members:
   :undoc-members:
   :show-inheritance:

Speech to Blog
~~~~~~~~~~~~

.. automodule:: lib.ai_writers.speech_to_blog
   :members:
   :undoc-members:
   :show-inheritance: